org.apache.lucene.util

## Class LineFileDocs

- java.lang.Object
- - org.apache.lucene.util.LineFileDocs

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class LineFileDocs
      extends Object
      implements Closeable

  Minimal port of benchmark's LneDocSource + DocMaker, so tests can enum docs from a line file created by benchmark's WriteLineDoc task

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LineFileDocs(Random random)`
    `LineFileDocs(Random random, String path)` If forever is true, we rewind the file at EOF (repeat the docs over and over)

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `Document` | `nextDoc()` Note: Document instance is re-used per-thread
    `void` | `reset(Random random)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LineFileDocs

          public LineFileDocs(Random random,
                              String path)
                       throws IOException

      If forever is true, we rewind the file at EOF (repeat the docs over and over)
      Throws:
        `IOException`

    - #### LineFileDocs

          public LineFileDocs(Random random)
                       throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `IOException`

    - #### reset

          public void reset(Random random)
                     throws IOException

      Throws:
        `IOException`

    - #### nextDoc

          public Document nextDoc()
                           throws IOException

      Note: Document instance is re-used per-thread
      Throws:
        `IOException`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.